## vdr-plugin-xine 0.8.2

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = xine

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
#CXX       = /soft/gcc-4.1-20060113/bin/g++ -I/soft/include -L/soft/lib
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual
#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual -Wformat=2 -Wextra

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

INCLUDES += `pkg-config --cflags libxine` 

# where to create fifos (xine expects them at /tmp/vdr-xine)
VDR_XINE_FIFO_DIR ?= /tmp/vdr-xine

# can be used to detect inefficient OSD drawing
# 0 - do not verify whether the dirty area of a bitmap is really dirty
# 1 - verify that bitmap is really dirty and print a message on console when it is not
# 2 - additionally fail with a core dump
VDR_XINE_VERIFY_BITMAP_DIRTY ?= 0

# enable to fully support yaepg plugin
#VDR_XINE_SET_VIDEO_WINDOW = 1

# where are these utilities for image grabbing? (default: anywhere on your PATH)
#VDR_XINE_Y4MSCALER = /usr/bin/y4mscaler
#VDR_XINE_Y4MTOPPM  = /usr/bin/y4mtoppm
#VDR_XINE_PNMCUT    = /usr/bin/pnmcut
#VDR_XINE_PNMTOJPEG = /usr/bin/pnmtojpeg

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell (sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h ; sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h) | sed -ne 1p)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

DEFINES += -DFIFO_DIR=\"$(VDR_XINE_FIFO_DIR)\"

DEFINES += -DVERIFY_BITMAP_DIRTY=$(VDR_XINE_VERIFY_BITMAP_DIRTY)

ifdef VDR_XINE_SET_VIDEO_WINDOW
DEFINES += -DSET_VIDEO_WINDOW
endif

ifdef VDR_XINE_Y4MSCALER
DEFINES += -DY4MSCALER=\"$(VDR_XINE_Y4MSCALER)\"
endif

ifdef VDR_XINE_Y4MTOPPM
DEFINES += -DY4MTOPPM=\"$(VDR_XINE_Y4MTOPPM)\"
endif

ifdef VDR_XINE_PNMCUT
DEFINES += -DPNMCUT=\"$(VDR_XINE_PNMCUT)\"
endif

ifdef VDR_XINE_PNMTOJPEG
DEFINES += -DPNMTOJPEG=\"$(VDR_XINE_PNMTOJPEG)\"
endif

### The object files (add further files here):

OBJS = $(PLUGIN).o xineDevice.o xineLib.o xineOsd.o xineSettings.o xineSetupPage.o xineRemote.o xineExternal.o

### The main target:

all: libvdr-$(PLUGIN).so i18n xineplayer

### Implicit rules:

%.o: %.c Makefile
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) xineplayer.c > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Reinhard Nissl <rnissl@gmx.de>' -o $@ $(wildcard *.c)

$(I18Npo): $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<

i18n: $(I18Npot) $(I18Nmo)
	@mkdir -p $(LOCALEDIR)
	for i in $(I18Ndirs); do\
	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
	    done

### Targets:

libvdr-$(PLUGIN).so: $(OBJS) Makefile
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

xineplayer: xineplayer.o Makefile
	$(CXX) $(CXXFLAGS) xineplayer.o -o $@

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot xineplayer xineplayer.o

## vdr-plugin-xine 0.9.3

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,6 @@
 # where are these utilities for image grabbing? (default: anywhere on your PATH)
 #VDR_XINE_Y4MSCALER = /usr/bin/y4mscaler
 #VDR_XINE_Y4MTOPPM  = /usr/bin/y4mtoppm
-#VDR_XINE_PNMCUT    = /usr/bin/pnmcut
 #VDR_XINE_PNMTOJPEG = /usr/bin/pnmtojpeg
 
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
@@ -72,6 +71,10 @@
 
 DEFINES += -DVERIFY_BITMAP_DIRTY=$(VDR_XINE_VERIFY_BITMAP_DIRTY)
 
+ifdef VDR_XINE_VDR_HAS_TRUECOLOR_OSD
+DEFINES += -DVDR_HAS_TRUECOLOR_OSD
+endif
+
 ifdef VDR_XINE_SET_VIDEO_WINDOW
 DEFINES += -DSET_VIDEO_WINDOW
 endif
@@ -84,17 +87,13 @@
 DEFINES += -DY4MTOPPM=\"$(VDR_XINE_Y4MTOPPM)\"
 endif
 
-ifdef VDR_XINE_PNMCUT
-DEFINES += -DPNMCUT=\"$(VDR_XINE_PNMCUT)\"
-endif
-
 ifdef VDR_XINE_PNMTOJPEG
 DEFINES += -DPNMTOJPEG=\"$(VDR_XINE_PNMTOJPEG)\"
 endif
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o xineDevice.o xineLib.o xineOsd.o xineSettings.o xineSetupPage.o xineRemote.o xineExternal.o
+OBJS = $(PLUGIN).o xineDevice.o xineLib.o xineOsd.o xineSettings.o xineSetupPage.o xineRemote.o xineExternal.o vdr172remux.o vdr172h264parser.o
 
 ### The main target:

## vdr-plugin-xine 0.9.4

=== Makefile ===
--- 
+++ 
@@ -19,15 +19,19 @@
 
 CXX      ?= g++
 #CXX       = /soft/gcc-4.1-20060113/bin/g++ -I/soft/include -L/soft/lib
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
-#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual
-#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual -Wformat=2 -Wextra
+CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual
+#CXXFLAGS ?= -g3 -O0 -Wall -Woverloaded-virtual
+#CXXFLAGS ?= -g3 -O0 -Wall -Woverloaded-virtual -Wformat=2 -Wextra
 
 ### The directory environment:
 
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -70,10 +74,6 @@
 DEFINES += -DFIFO_DIR=\"$(VDR_XINE_FIFO_DIR)\"
 
 DEFINES += -DVERIFY_BITMAP_DIRTY=$(VDR_XINE_VERIFY_BITMAP_DIRTY)
-
-ifdef VDR_XINE_VDR_HAS_TRUECOLOR_OSD
-DEFINES += -DVDR_HAS_TRUECOLOR_OSD
-endif
 
 ifdef VDR_XINE_SET_VIDEO_WINDOW
 DEFINES += -DSET_VIDEO_WINDOW
@@ -118,36 +118,36 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Reinhard Nissl <rnissl@gmx.de>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='Reinhard Nissl <rnissl@gmx.de>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
 
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS) Makefile
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 xineplayer: xineplayer.o Makefile
-	$(CXX) $(CXXFLAGS) xineplayer.o -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) xineplayer.o -o $@
 
-dist: clean
+dist: $(I18Npo) clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)

=== debian/changelog ===
vdr-plugin-xine (0.9.4-12) unstable; urgency=low

  [ Andreas Moog ]
  * debian/patches/vdr-1.7.40.patch: Apply patch from
    Lucian Muresan lucianm.AT.users.sourceforge.net to build with newer
    vdr versions to fix: error: 'vidWin' was not declared in this scope
    (Closes: #709031)

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 Apr 2014 20:53:45 +0200

vdr-plugin-xine (0.9.4-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:24 +0200

vdr-plugin-xine (0.9.4-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:30 +0100

vdr-plugin-xine (0.9.4-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:20:40 +0100

vdr-plugin-xine (0.9.4-8) unstable; urgency=low

  * Standards-Version: 3.9.4
  * Build-depend in vdr-dev (>= 1.7.40)
  * Use debhelper 9
  * Added patch to support VDR 1.7.33 and yaepg (taken from yavdr by
    Lars Hanisch and Holger Schvestka)
  * Fixed formatting strings related security issues

 -- Tobias Grimm <etobi@debian.org>  Sat, 16 Mar 2013 08:52:31 +0100

vdr-plugin-xine (0.9.4-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:36:11 +0200

vdr-plugin-xine (0.9.4-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:17 +0200

vdr-plugin-xine (0.9.4-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:41 +0200

vdr-plugin-xine (0.9.4-4) unstable; urgency=low

  * Uploading to unstable

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Feb 2012 16:03:08 +0100

vdr-plugin-xine (0.9.4-3) experimental; urgency=low

  [ Darren Salt ]
  * Switched to debhelper 7.
  * Build-depend on libxine2-dev instead of libxine-dev.
    This is due to a naming change in xine-lib-1.2.

  [ Tobias Grimm ]
  * Bumped Standards-Version to 3.9.2
  * Updated debian/changelog
  * Added manpage for xineplaye

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Feb 2012 15:29:12 +0100

vdr-plugin-xine (0.9.4-2) experimental; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 19:52:03 +0200

vdr-plugin-xine (0.9.4-1) experimental; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 02:29:31 +0100

vdr-plugin-xine (0.9.3-1) experimental; urgency=low

  * New upstream release
  * Dropped 01_debian.dpatch, README.source and dpatch dependency
  * Updated debian/copyright
  * Fixed noSignal*.mpg links
  * Fixed my uploaders address

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2010 18:20:31 +0100

vdr-plugin-xine (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Updated 01_debian.dpatch
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.1
  * Added installation of noSignal.mpg (Closes: #478656)
  * Updated debian/copyright
  * Removed non-standard shebang line from debian/rules
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 19:36:26 +0100

vdr-plugin-xine (0.8.2-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Build-Depend on vdr-dev (>=1.6.0)
  * Build-Depend on libxine-dev (>= 1.1.90hg+20080321+5ac9723858b2)
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Added Homepage field to debian/control
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Don't automatically convert docs in /usr/share/doc/vdr-plugin-xine
    from iso8859-1 -t utf-8 (Debian docs should be UTF-8 in the first
    place)

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 06 Apr 2008 21:34:14 +0200

vdr-plugin-xine (0.7.11-1) experimental; urgency=low

  * First upload to the official archive (Closes: #445712)
  * New upstream release
    - Updated 01_debian.dpatch
    - Removed 01_upstream.dpatch
    - Removed 02_constness.dpatch
    - Removed 03_extra_keys.dpatch
  * Updated debian/rules to include $(DESTDIR) in build and
    install targets
  * Updated debian/copyright
  * Updated package description
  * Build-Depend on debhelper (>= 5), set COMPAT-Level to 5
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Changed clean-target in debian/rules to not ignore errors
  * Build-Depend on libxine-dev (>= 1.1.90hg+20070930-1)
  * Depend on libxine2-vdr

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 08 Oct 2007 00:48:49 +0200

vdr-plugin-xine (0.7.10-3) experimental; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:51 +0200

vdr-plugin-xine (0.7.10-2) experimental; urgency=low

  * Release for vdrdevel 1.5.1
  * Added myself to Uploaders

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:26 +0100

vdr-plugin-xine (0.7.10-1) experimental; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)

  [ Thomas Schmidt ]
  * Install the plugin-binary via dh_install
  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 21:49:45 +0100

vdr-plugin-xine (0.7.9-7) unstable; urgency=low

  * Added netpbm to Suggest (together with mjpegtools and y4mscaler
    needed for grabbing)

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 15 Dec 2006 22:42:33 +0100

vdr-plugin-xine (0.7.9-6) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.4-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun,  5 Nov 2006 00:00:47 +0100

vdr-plugin-xine (0.7.9-5) unstable; urgency=low



=== debian/control ===
Source: vdr-plugin-xine
Section: misc
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Darren Salt <linux@youmustbejoking.demon.co.uk>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, gettext, libxine2-dev, txt2man
Standards-Version: 3.9.4
Homepage: http://home.vr-web.de/~rnissl/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-xine.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xine.git

Package: vdr-plugin-xine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, libxine2-vdr
Suggests: y4mscaler, mjpegtools, netpbm
Description: allows xine to be a display for vdr, the Video Disk Recorder
 Plugin for vdr which allows you to use xine, gxine or some other frontend 
 for libxine as a display, instead of relying on an MPEG decoder / TV 
 output card.
 .
 xine >= 0.99.2 and gxine >= 0.4.0 have built-in support for vdr. Other 
 frontends may need to be patched.
 .
 If you want to use the SVDRP 'grab' command, you'll need mjpegtools 
 (from Christian Marillat's archive) and y4mscaler.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = DVBDIR=/usr VDRDIR=/usr/include/vdr LIBDIR=. \
               LOCALEDIR=debian/tmp/usr/share/locale
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)
	txt2man -s 1 -t xineplayer -v "video player fro vdr-plugin-xineliboutput" debian/xineplayer.1.txt >xineplayer.1

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf libvdr-*.so.* xineplayer.1

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

override_dh_installchangelogs:
	dh_installchangelogs -- HISTORY

=== debian/watch ===
version=2
http://home.vr-web.de/~rnissl/  vdr-xine-(\d.*)\.tgz
